Bug 444498 - segfault with ENOMEM when running rrdtool in i386 on x86_64 host
segfault with ENOMEM when running rrdtool in i386 on x86_64 host
Status: CLOSED WORKSFORME
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 14:30 EDT by Douglas E. Warner
Modified: 2013-01-09 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 11:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rrdtool command that segfaults with strace (12.76 KB, text/plain)
2008-04-28 14:30 EDT, Douglas E. Warner
no flags Details

  None (edit)
Description Douglas E. Warner 2008-04-28 14:30:49 EDT
Description of problem:
When building the latest SRPM for NetMRG I get a segfault while compiling when 
an rrdtool command runs to build a template rrd file.  The problem only seems 
to show up on i386 arch compiles (F8 or F9) on an x86_64 Fedora 8 box;  the 
x86_64 compiles seems to go fine.

SRPM URL: 
http://www.silfreed.net/download/repo/packages/netmrg/netmrg-0.20-1.src.rpm

Strace of rrdtool command attached.

Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-0.9.7-2.fc8


How reproducible:
Every time.

Additional info:
Comment 1 Douglas E. Warner 2008-04-28 14:30:50 EDT
Created attachment 304023 [details]
rrdtool command that segfaults with strace
Comment 2 Ricky Zhou 2009-08-05 12:54:10 EDT
Hi, is this still a mock issue in F10/F11 now?
Comment 3 Douglas E. Warner 2009-08-10 11:20:38 EDT
No, it's not.  Closing.

Note You need to log in before you can comment on or make changes to this bug.